{% extends 'base.html' %}

{% block content %}
<div class="smallpage">
    <h2>Parameter list</h2>
    There are currently {{ metrics|length }} parameters in the database.
                     {% for c in catmetric %}
    <dl class="description">
                <h3>{{ c.name }}</h3>
                {% for m in c.metric_set.all %}

        <dt>{{ m.name }}</dt>
        <dd>{{ m.description }}</dd>
        {% endfor %}
    </dl>
        {% endfor %}
    <h2 id="models">Model list</h2>
    <p>Not all combinations parameter/scenario/model are available. Many models miss one entire scenario,
        and some miss specific metrics.</p>
    <dl>
        {% for m in models %}
        <dt style="color:{{ m.color }}">{{ m.name }}</dt>
        <dd>{{ m.description|escape|linebreaks }}
        {% if m.url %}<a class="exturl helptext" href="{{ m.url }}">{{ m.url }}</a>{% endif %}
            <br>Value sets : {{ m.vs }} on {{ m.scen }} scenari{% if m.scen > 1 %}i{% else %}o{% endif %}.</dd>
        {% endfor %}
    </dl>
    <h2 id="groups">Model groups</h2>
    <p>For a more compact view, climate models may be grouped into categories of similarities. The group
        collection presented here is borrowed from
        <a href="https://doi.org/10.1007/s00382-016-3236-y">[Monerie, PA., Sanchez-Gomez, E. & Boé, J. Clim Dyn (2017) 48: 2751]</a>, p.2753,
        with the same color code.
    </p>
    <dl>
        {% for g in groups %}
        <dt style="color:{{ g.color }}">{{ g.name }}</dt>
        <dd>Models : {{ g.climatemodel_set.all | join:', ' }}
        </dd>
        {% endfor %}
    </dl>
    <h2 id="scenarii">Scenarii</h2>
    <p>Representative Concentration Pathways (rcp) are greenhouse gas concentration trajectories adopted by
        the <a href="www.ipcc.ch">IPCC</a> in 2014. They describe possible climate futures, all of which are
        considered possible depending on how much greenhouse gases are emitted in the years to come.
        RCP2.6, RCP4.5, and RCP8.5 are named after a possible range of radiative forcing values in the year 2100
        relative to pre-industrial values (+2.6, +4.5, and +8.5 W/m2, respectively)</p>
</div>
{% endblock %}